CairoContext::maskSurface
CairoContext::newPath
CairoContext
PHP Manual

# CairoContext::moveTo

# cairo_move_to

The moveTo purpose

### Description

Object oriented style (method):

public void CairoContext::moveTo ( string `$x` , string `$y` )

Procedural style:

void cairo_move_to ( CairoContext `$context` , string `$x` , string `$y` )

Begin a new sub-path. After this call the current point will be (x, y).

### Parameters

`context`

  A valid CairoContext object.

`x`

  The x coordinate of the new position.

`y`

  The y coordinate of the new position

### Return Values

No value is returned.

### Examples

Example #1 Object oriented style

`<?php
$s = new CairoImageSurface(CairoFormat::ARGB32, 100, 100);
$c = new CairoContext($s);
$c->setSourceRgb(0, 0, 0);
$c->paint();
// Move 10 pixels across, and 10 pixels down
$c->moveTo(10, 10);
$c->lineTo(90, 90);
$c->setLineWidth(2);
$c->setSourceRgb(1, 1, 1);
$c->stroke();
// Move 90 pixels across, and 10 pixels down
$c->moveTo(90, 10);
$c->lineTo(10, 90);
$c->setLineWidth(2);
$c->setSourceRgb(1, 1, 1);
$c->stroke();
$s->writeToPng(dirname(__FILE__) . '/CairoContext_moveTo.png');
?>`

The above example will output something similar to:

    ...

Example #2 Procedural style

`<?php
$s = cairo_image_surface_create(CAIRO_SURFACE_TYPE_IMAGE, 100, 100);
$c = cairo_create($s);
cairo_set_source_rgb($c, 0, 0, 0);
cairo_paint($c);
// Move 10 pixels across, and 10 pixels down
cairo_move_to($c, 10, 10);
cairo_line_to($c, 90, 90);
cairo_set_line_width($c, 2);
cairo_set_source_rgb($c, 1, 1, 1);
cairo_stroke($c);
// Move 90 pixels across, and 10 pixels down
cairo_move_to($c, 90, 10);
cairo_line_to($c, 10, 90);
cairo_set_line_width($c, 2);
cairo_set_source_rgb($c, 1, 1, 1);
cairo_stroke($c);
cairo_surface_write_to_png($s, dirname(__FILE__) . '/cairo_move_to.png');
?>`

The above example will output something similar to:

    ...

### See Also

- Classname::Method